summaryrefslogtreecommitdiff
path: root/package/dropbear/files
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2010-04-11 23:37:33 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-04-12 20:06:23 +0200
commit0422754bce96ada3b228333f1eb3db8cf11cd862 (patch)
treed36d30530a54f3d26ba3797eed311b744faae74b /package/dropbear/files
parenta950c478f8dcebf33a8bb7b5938ac1b5199079f8 (diff)
dropbear: reenable DSS algo support
Tragically, disabling DSS support in order to prevent an error message from showing up at startup (because of missing dss host key) also disables support for pubkey auth using DSS keys. And guess which type mine is. ;) To provide a usable compromise, make dropbear.init generate the formerly missing dss host key. So there won't be any error message, either. Probably this fixes for hosts not being able to authenticate using an RSS host key, too.
Diffstat (limited to 'package/dropbear/files')
-rw-r--r--package/dropbear/files/dropbear.init8
1 files changed, 8 insertions, 0 deletions
diff --git a/package/dropbear/files/dropbear.init b/package/dropbear/files/dropbear.init
index 4a7d7a875..9983e943c 100644
--- a/package/dropbear/files/dropbear.init
+++ b/package/dropbear/files/dropbear.init
@@ -27,6 +27,14 @@ start)
test $rv = 0 || exit 1
test -f /etc/dropbear/dropbear_rsa_host_key || exit 1
fi
+ if test ! -f /etc/dropbear/dropbear_dss_host_key; then
+ # take it easy here, since above already catched the worst cases
+ if test -x /usr/bin/dropbearkey; then
+ bothlog "dropbear: generating SSH private key (DSS)"
+ /usr/bin/dropbearkey -f /etc/dropbear/dropbear_dss_host_key -t dss
+ bothlog dropbear: key generation exited with code $?
+ fi
+ fi
/usr/sbin/dropbear $dropbear_flags
;;
stop)